//#pragma GCC optimize("O3")
#include <bits/stdc++.h>
//#pragma GCC target("avx, avx2, tune=native")
#define int long long
#define all(x) (x).begin(), (x).end()
#define f first
#define s second
#define pi pair<int, int>


using namespace std;

struct fenwtree{
    int sz;
    vector<int> t;

    void init(int n) {
        t.assign(n + 1, 0);
        sz = n;
    }

    void add(int i, int v) {
        for (; i <= sz; i += i & (-i)) {
            t[i] += v;
        }
    }

    int sum(int r) {
        int res = 0;
        for (; r > 0; r -= r & (-r)) {
            res += t[r];
        }
        return res;
    }

    int sum(int l, int r) {
        return sum(r) - sum(l - 1);
    }
};

void solve() {
    int n, m, g;
    cin >> n >> m >> g;
    cout << m - (n - 1) << "\n" << 1 << "\n";
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t = 1;
    //cin >> t;
    while (t--) {
        solve();
    }
}
